%define	upstream_name	 Config-General
%define upstream_version 2.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generic Config perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildArch:  noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changelog README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changelog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.610.0-3pclos2017
- rebuild against updates

